summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Cummings <mcummings@gentoo.org>2006-08-28 20:22:20 +0000
committerMichael Cummings <mcummings@gentoo.org>2006-08-28 20:22:20 +0000
commit72e9295878c4ada6ad241bab840b903de514b5eb (patch)
treee644c05a08ee9a369d0a5688973bd97677efd606
parentrev bump from Tristan Heaven to fix bug #118911, bug #130011 and bug #144406 (diff)
downloadgentoo-2-72e9295878c4ada6ad241bab840b903de514b5eb.tar.gz
gentoo-2-72e9295878c4ada6ad241bab840b903de514b5eb.tar.bz2
gentoo-2-72e9295878c4ada6ad241bab840b903de514b5eb.zip
added pm_echovar "support"
-rw-r--r--eclass/perl-app.eclass8
-rw-r--r--eclass/perl-module.eclass9
2 files changed, 9 insertions, 8 deletions
diff --git a/eclass/perl-app.eclass b/eclass/perl-app.eclass
index 0c93b8e0d9c4..01ff38dd2cd4 100644
--- a/eclass/perl-app.eclass
+++ b/eclass/perl-app.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-app.eclass,v 1.8 2006/06/14 00:31:44 mcummings Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-app.eclass,v 1.9 2006/08/28 20:22:20 mcummings Exp $
#
# Author: Michael Cummings <mcummings@gentoo.org>
@@ -24,13 +24,13 @@ perl-app_src_prep() {
SRC_PREP="yes"
+ pwd
if [ "${PREFER_BUILDPL}" == "yes" ] && ( [ -f Build.PL ] || [ ${PN} == "module-build" ] ); then
einfo "Using Module::Build"
- perl Build.PL --installdirs=vendor --destdir=${D} --libdoc= || die "Unable to build! (are you using USE=\"build\"?)"
+ echo "$pm_echovar" | perl Build.PL --installdirs=vendor --destdir=${D} --libdoc= || die "Unable to build! (are you using USE=\"build\"?)"
elif [ -f Makefile.PL ] && [ ! ${PN} == "module-build" ]; then
einfo "Using ExtUtils::MakeMaker"
- #perl Makefile.PL ${myconf} \
- perl Makefile.PL ${myconf} INSTALLMAN3DIR='none'\
+ echo "$pm_echovar" | perl Makefile.PL ${myconf} INSTALLMAN3DIR='none'\
PREFIX=/usr INSTALLDIRS=vendor DESTDIR=${D} || die "Unable to build! (are you using USE=\"build\"?)"
fi
if [ ! -f Build.PL ] && [ ! -f Makefile.PL ]; then
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index c37320fcad3c..d395c24bfe15 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.100 2006/08/06 03:46:21 mcummings Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.101 2006/08/28 20:22:20 mcummings Exp $
#
# Author: Seemant Kulleen <seemant@gentoo.org>
# Maintained by the Perl herd <perl@gentoo.org>
@@ -93,6 +93,7 @@ VENDOR_ARCH=""
ARCH_LIB=""
POD_DIR=""
BUILDER_VER=""
+pm_echovar=""
perl-module_src_prep() {
@@ -104,13 +105,13 @@ perl-module_src_prep() {
SRC_PREP="yes"
+ pwd
if [ "${PREFER_BUILDPL}" == "yes" ] && ( [ -f Build.PL ] || [ ${PN} == "module-build" ] ); then
einfo "Using Module::Build"
- perl Build.PL --installdirs=vendor --destdir=${D} --libdoc= || die "Unable to build! (are you using USE=\"build\"?)"
+ echo "$pm_echovar" | perl Build.PL --installdirs=vendor --destdir=${D} --libdoc= || die "Unable to build! (are you using USE=\"build\"?)"
elif [ -f Makefile.PL ] && [ ! ${PN} == "module-build" ]; then
einfo "Using ExtUtils::MakeMaker"
- #perl Makefile.PL ${myconf} \
- perl Makefile.PL ${myconf} INSTALLMAN3DIR='none'\
+ echo "$pm_echovar" | perl Makefile.PL ${myconf} INSTALLMAN3DIR='none'\
PREFIX=/usr INSTALLDIRS=vendor DESTDIR=${D} || die "Unable to build! (are you using USE=\"build\"?)"
fi
if [ ! -f Build.PL ] && [ ! -f Makefile.PL ]; then